Package it.ernytech.tdlib

## Class TdApi.LinkState

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.LinkState

Direct Known Subclasses:
  `TdApi.LinkStateIsContact`, `TdApi.LinkStateKnowsPhoneNumber`, `TdApi.LinkStateNone`

Enclosing class:
  TdApi

    public abstract static class TdApi.LinkState
    extends TdApi.Object

This class is an abstract base class. Represents the relationship between user A and user B. For incoming_link, user A is the current user; for outgoing_link, user B is the current user.

### Constructor Summary

Constructors
`LinkState()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### LinkState

    public LinkState()